import Service from '../lib/service.js'
import axios from 'axios'
import Config from '../config'

class CustomerService extends Service {
  constructor() {
    super()
    axios.defaults.baseURL = Config.Host85
  }

  //cid详细信息real
  async cidRealSingle(params = {}) {
    return await this.post('/custom/search/real/single', params)
  }
  //真实用户列表all
  async realCustomerListAll(params = {}) {
    return await this.post('/custom/login/search/custom/list', params)
  }
  //反审核
  async customFileApproveDe(params = {}) {
    return await this.post('/custom/file/de/approve', params)
  }
  //根据父级id获取下级城市
  async countryGet(params = {}) {
    return await this.post('/country/get', params)
  }
  /* 拒绝理由 */
  //拒绝理由添加
  async reasonsRefusalAdd(params = {}) {
    return await this.post('/reasons/refusal/add', params)
  }
  //拒绝理由修改
  async reasonsRefusalUpdate(params = {}) {
    return await this.post('/reasons/refusal/update', params)
  }

  //删除拒绝理由
  async reasonsRefusalDelete(params = {}) {
    return await this.post('/reasons/refusal/delete', params)
  }
  //单个查看拒绝理由
  async reasonsRefusalSingle(params = {}) {
    return await this.post('/reasons/refusal/search/single', params)
  }
  //拒绝理由列表
  async reasonsRefusalSearchList(params = {}) {
    return await this.post('/reasons/refusal/search/list', params)
  }
}
export default new CustomerService()
